/***********************************************************************/
/*                                                                     */
/*  PROJECT		  :FTF Design Challenge Europe 2008   	                 */
/*  AUTHOR      :Carlos Cossio                                         */
/*  FILE        :ADC.h                                                 */
/*  DATE        :June 21, 2008                                         */
/*  DESCRIPTION :Defines and function prototipes                       */
/*                                                                     */
/***********************************************************************/


#ifndef _ADC_H
#define _ADC_H


#include "MC9S08QE128.h"


#define CURRENT_SENSOR  0
#define POT             1


void ADC_Init (void);
void ADC_Start (unsigned char channel);
unsigned int ADC_Read (unsigned char channel);
void ADC_Stop (void);


#pragma DATA_SEG DEFAULT


#endif
