/***********************************************************************/
/*                                                                     */
/*  PROJECT		  :FTF Design Challenge Europe 2008   	                 */
/*  AUTHOR      :Carlos Cossio                                         */
/*  FILE        :ByeByeStandby.h                                       */
/*  DATE        :June 21, 2008                                         */
/*  DESCRIPTION :Defines and function prototipes                       */
/*                                                                     */
/***********************************************************************/


#ifndef _BYEBYESTANDBY_H
#define _BYEBYESTANDBY_H


#define BYE_BYE_STANDBY_ON                  1
#define BYE_BYE_STANDBY_OFF                 0
#define BYE_BYE_STANDBY_CURRENT_THRESHOLD   0x0C65    // 30W power consumption
#define LowPowerMode          __asm STOP;


void ByeByeStandby_Init (void);
void ByeByeStandby_Welcome (void);
void ByeByeStandby_On (void);
void ByeByeStandby_Off (void);
unsigned char ByeByeStandby_Mode (void);
unsigned char ByeByeStandby_InfraredRemoteControlKeyPressed (void);
unsigned char ByeByeStandby_PeripheralInStandbyMode (void);
void ByeByeStandby_Sleep (void);


#pragma DATA_SEG DEFAULT


#endif
