/***********************************************************************/
/*                                                                     */
/*  PROJECT		  :FTF Design Challenge Europe 2008   	                 */
/*  AUTHOR      :Carlos Cossio                                         */
/*  FILE        :IR.h                                                  */
/*  DATE        :June 21, 2008                                         */
/*  DESCRIPTION :Defines and function prototipes                       */
/*                                                                     */
/***********************************************************************/


#ifndef _IR_H
#define _IR_H


#include "MC9S08QE128.h"
#include "Relay.h"


#define YES                   1
#define NO                    0
#define TRUE                  1
#define FALSE                 0
#define IR_HIGH               1
#define IR_LOW                0
#define IR_INPUT              0
#define IR_OUTPUT             1
#define IR_MASK               PTAD_PTAD3_MASK
#define IR                    (PTAD & IR_MASK)
#define IR_GPIO		            PTADD_PTADD3 


void IR_Init (void);
void IR_Enable (void);
void IR_Disable (void);
unsigned char IR_Mode (void);


#pragma DATA_SEG DEFAULT


#endif
