/***********************************************************************/
/*                                                                     */
/*  PROJECT		  :FTF Design Challenge Europe 2008   	                 */
/*  AUTHOR      :Carlos Cossio                                         */
/*  FILE        :RTC.h                                                 */
/*  DATE        :June 21, 2008                                         */
/*  DESCRIPTION :Defines and function prototipes                       */
/*                                                                     */
/***********************************************************************/


#ifndef _RTC_H
#define _RTC_H


#include "MC9S08QE128.h"


#define DIVIDE_1          0x08
#define DIVIDE_10         0x0B
#define DIVIDE_100        0x0D
#define DIVIDE_1000       0x0F
#define RTC_OFF           0


void RTC_Init (void);
void RTC_Start (unsigned char);
void RTC_Stop (void);
void RTC_Delay (unsigned int milliseconds);
void RTC_Enable (void);
void RTC_Disable (void);


#pragma DATA_SEG DEFAULT


#endif
