/***********************************************************************/
/*                                                                     */
/*  PROJECT		  :FTF Design Challenge Europe 2008   	                 */
/*  AUTHOR      :Carlos Cossio                                         */
/*  FILE        :LED.c                                                 */
/*  DATE        :June 21, 2008                                         */
/*  DESCRIPTION :This file allows to manage the LED                    */
/*                                                                     */
/***********************************************************************/


#include "LED.h"


/******************************************************************************
Name       : LED_Init
Author     : Carlos Cossio
Parameters : None
Returns    : None
Description: Setup the LED driver
******************************************************************************/
void LED_Init (void)
{
  LED = LED_OFF;                          // LED off
  LED_GPIO = LED_OUTPUT;                  // LED as output
}


/******************************************************************************
Name       : LED_On
Author     : Carlos Cossio
Parameters : None
Returns    : None
Description: Turn on the LED
******************************************************************************/
void LED_On (void)
{
  LED = LED_ON;                           // LED on
}


/******************************************************************************
Name       : LED_Off
Author     : Carlos Cossio
Parameters : None
Returns    : None
Description: Turn off the LED
******************************************************************************/
void LED_Off (void)
{	
  LED = LED_OFF;                          // LED off
}                                         
