/***********************************************************************/
/*                                                                     */
/*  PROJECT		  :FTF Design Challenge Europe 2008   	                 */
/*  AUTHOR      :Carlos Cossio                                         */
/*  FILE        :LED.h                                                 */
/*  DATE        :June 21, 2008                                         */
/*  DESCRIPTION :Defines and function prototipes                       */
/*                                                                     */
/***********************************************************************/


#ifndef _LED_H
#define _LED_H


#include "MC9S08QE128.h"


#define LED_ON          0
#define LED_OFF         1
#define LED_INPUT       0
#define LED_OUTPUT      1
#define LED             PTHD_PTHD0
#define LED_GPIO		    PTHDD_PTHDD0


void LED_Init (void);
void LED_On (void);
void LED_Off (void);


#pragma DATA_SEG DEFAULT


#endif
